require 'hashie/mash'

module DLDInternet
  module OpenSRS
    module API
      module Domain
        module MixIns
          module Modify
            module DomainAssignNS

              # noinspection RubyUnnecessaryReturnValue
              def AssignDomainNameServers(domain,nameservers, cookiep=nil)

                data = {
                    object: 'domain',
                    action: 'advanced_update_nameservers',
                    cookie: (cookiep || cookie(domain)),
                    attributes: {
                        op_type: 'assign',
                        assign_ns: (nameservers.is_a?(Array) ? nameservers : nameservers.to_s.split(%r{\s*,\s*}))
                    },
                }
                getResponse(data, 'response_text')
              end

            end
          end
        end
      end
    end
  end
end