require 'hashie/mash'

module DLDInternet
  module OpenSRS
    module API
      module Domain
        module MixIns
          module Modify
            module DomainLockState

              # noinspection RubyUnnecessaryReturnValue
              def SetDomainLockState(domain,state=1)

                data = {
                    object: 'DOMAIN',
                    action: 'MODIFY',
                    attributes: {
                        type: 'lock_state',
                        data: 'status',
                        domain: domain,
                        lock_state: state,
                        affect_domains: 0,
                    },
                }
                getResponse(data, 'response_text')
              end

            end
          end
        end
      end
    end
  end
end