require 'hashie/mash'

module DLDInternet
  module OpenSRS
    module API
      module Domain
        module MixIns
          module Get
            module DomainStatus

              # noinspection RubyUnnecessaryReturnValue
              def GetDomainStatus(domain,cookiep=nil,registrant_ip=nil)

                data = {
                    object: 'DOMAIN',
                    action: 'GET',
                    # cookie: (cookiep || cookie),
                    attributes: {
                        type: 'status',
                        domain: domain
                    },
                }

                getResponse(data)
              end

            end
          end
        end
      end
    end
  end
end